メインコンテンツへスキップ
POST
/
automation
/
2026-09-beta
/
workflow-id-mappings
/
batch
/
read
Batch retrieve workflow ID mappings
curl --request POST \
  --url https://api.hubapi.com/automation/2026-09-beta/workflow-id-mappings/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "type": "FLOW_ID",
      "flowId": "<string>"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/automation/2026-09-beta/workflow-id-mappings/batch/read"

payload = { "inputs": [
{
"type": "FLOW_ID",
"flowId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{type: 'FLOW_ID', flowId: '<string>'}]})
};

fetch('https://api.hubapi.com/automation/2026-09-beta/workflow-id-mappings/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "flowId": 123,
      "workflowId": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
(FLOW_ID · object | WORKFLOW_ID · object)[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

The date and time when the batch process was completed, formatted as a date-time string.

results
object[]
必須
startedAt
string<date-time>
必須

The date and time when the batch process began, formatted as a date-time string.

status
enum<string>
必須

The current status of the batch process, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

A collection of URLs related to the batch process.

numErrors
integer<int32>
requestedAt
string<date-time>

The date and time when the batch request was initiated, formatted as a date-time string.

最終更新日 2026年4月10日